Training Load

by mechgt

Downloads: 12,931 (48) • Reviews: 18

Version:

2.0.7

Updated:

Aug 26, 2015

Training load new release

Training load new release

Postby gringojack » Sat Aug 29, 2015 4:05 pm

Hello

After download and install of the new release, all my plugins say "Upgrade now" and no more code numbers in the boxes.
Can you help?

Thank you
Salut les Copains!
GPS GARMIN Edge 1030
Mountain biking on:
GIANT Trance 27.5 2/V.A.E Hybrid electric
CycleOps PowerTap
My toy #1: SportTrack3!
gringojack
Donated!
Donated!
 
Posts: 542
Joined: Wed Feb 11, 2009 3:44 am
Location: France

Re: Training load new release

Postby texmurphy » Sat Aug 29, 2015 4:44 pm

Training Load v2.07 does not work with versions of ST prior to 3.1.5716. The following error is reported in System.Log when used with ST 3.1.5681
Should TL v2.07 work with earlier ST3 versions?

Code: Select all
8/29/2015 5:28 PM [PluginManager]   ERROR   Could not load plugin C:\ProgramData\ZoneFiveSoftware\SportTracks\3\Plugins\Installed\b92888f1-c191-4045-8003-0181364cf651\TrainingLoad.dll. An exception occurred during initialization.
An item with the same key has already been added.
   at System.ThrowHelper.ThrowArgumentException(ExceptionResource resource)
   at System.Collections.Generic.Dictionary`2.Insert(TKey key, TValue value, Boolean add)
   at System.Collections.Generic.Dictionary`2.Add(TKey key, TValue value)
   at ZoneFiveSoftware.SportTracks.Plugin.PluginManager.AddPlugins(IApplication application, Assembly assembly, String assemblyPath)
texmurphy
Donated!
Donated!
 
Posts: 2129
Joined: Wed Jul 05, 2006 7:38 pm
Location: Maryland, USA

Re: Training load new release

Postby gringojack » Sun Aug 30, 2015 4:12 am

thank you Tex!
Salut les Copains!
GPS GARMIN Edge 1030
Mountain biking on:
GIANT Trance 27.5 2/V.A.E Hybrid electric
CycleOps PowerTap
My toy #1: SportTrack3!
gringojack
Donated!
Donated!
 
Posts: 542
Joined: Wed Feb 11, 2009 3:44 am
Location: France

Re: Training load new release

Postby gerhard » Sun Aug 30, 2015 12:57 pm

texmurphy wrote:Training Load v2.07 does not work with versions of ST prior to 3.1.5716. The following error is reported in System.Log when used with ST 3.1.5681
Should TL v2.07 work with earlier ST3 versions?


The ST core program change is incompatible why I doubt that TL 2.0.7 should work.
I get the same log record also with ST 3.1.5176, but TL works.
gerhard
Contributor!
Contributor!
 
Posts: 1798
Joined: Mon Nov 27, 2006 7:07 pm
Location: Sweden


Return to Training Load

Who is online

Users browsing this forum: No registered users and 2 guests

cron